Subject: Logs for tests/pack.scm failure

From: Sjors Provoost <[email-masked]>
Date: Fri, 6 Aug 2021 10:58:25 +0200

Hi Carl & Guix folks,

I built Guix 1.3.0 from source on Ubuntu 20.04 with help from Carl. It was built with Guile 3.

During the bootstrap it failed to build /gnu/store/2nvaxgs0rdxfkrwklh622ggaxg0wap6n-bash-mesboot0-2.05b.drv with "make: *** No rule to make target `bash'.  Stop.", after some warnings ("warning: no binary for interpreter `perl' found in $PATH").

I decided to run "make check" first before trying to debug the above. Most passed, except tests/pack.scm, tests/guix-git-authenticate.sh and tests/guix-pack-relocatable.sh. Zooming in on the first one, I ran that and attached the logs.

It attached the logs of one of the failing tests.

Cheers,

Sjors

$ make check TESTS="tests/pack.scm" SCM_LOG_DRIVER_FLAGS="--brief=no"
make  check-recursive
make[1]: Entering directory '/home/sjimmie/src/guix'
Making check in po/guix
make[2]: Entering directory '/home/sjimmie/src/guix/po/guix'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/sjimmie/src/guix/po/guix'
Making check in po/packages
make[2]: Entering directory '/home/sjimmie/src/guix/po/packages'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/sjimmie/src/guix/po/packages'
make[2]: Entering directory '/home/sjimmie/src/guix'
Compiling Scheme modules...
make  check-TESTS check-local
make[3]: Entering directory '/home/sjimmie/src/guix'
make[4]: Entering directory '/home/sjimmie/src/guix'
PASS: tests/pack.scm - self-contained-tarball
FAIL: tests/pack.scm - self-contained-tarball + localstatedir
FAIL: tests/pack.scm - self-contained-tarball + localstatedir, UTF-8 file names
FAIL: tests/pack.scm - docker-image + localstatedir
FAIL: tests/pack.scm - squashfs-image + localstatedir
============================================================================
Testsuite summary for GNU Guix 1.3.0
============================================================================
# TOTAL: 5
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
make[4]: *** [Makefile:6069: test-suite.log] Error 1
make[4]: Leaving directory '/home/sjimmie/src/guix'
make[3]: *** [Makefile:6177: check-TESTS] Error 2
make[3]: Leaving directory '/home/sjimmie/src/guix'
make[2]: *** [Makefile:6420: check-am] Error 2
make[2]: Leaving directory '/home/sjimmie/src/guix'
make[1]: *** [Makefile:5954: check-recursive] Error 1
make[1]: Leaving directory '/home/sjimmie/src/guix'
make: *** [Makefile:6422: check] Error 2